package service

import (
	"context"

	"git.espin.casa/albert/cml04-falcon-system/injector/types"
)

type IService interface {
	Bundle(ctx context.Context, req *types.PostBundleReq) (res *types.PostBundleRes, err *types.PostBundleRes)
}

type service struct{}

// Bundle implements IService.
func (s *service) Bundle(ctx context.Context, req *types.PostBundleReq) (res *types.PostBundleRes, err *types.PostBundleRes) {
	panic("unimplemented")
}

func New() IService {
	return &service{}
}
